Tiers

get

Retrieves multiple tiers.

Query parameters
idsany ofOptionalDefault: []
string · uuid[]Optional

A UUID v4 string that identifies an entity.

or
string · uuidOptional

A UUID v4 string that identifies an entity.

pageNumbernumber · min: 1Optional

The page number.

Default: 1
pageSizenumber · min: 1 · max: 100Optional

The page size.

Default: 10
searchstring · min: 1Optional

Search term to filter tiers by name or description.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves all tiers for the workspace.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
descriptionstring · min: 3 · max: 250Required

A description of the tier.

maxAssistantMessagesinteger · nullableRequired

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Required

The name of the tier.

promptstring · min: 3 · max: 500 · nullableRequired

The prompt associated with the tier to be injected into the agent.

workspaceIdstring · uuidRequired

The ID of the workspace this tier belongs to.

get
/api/v1/tiers
post

Creates a new tier.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
descriptionstring · min: 3 · max: 250Required

A description of the tier.

maxAssistantMessagesinteger · nullableRequired

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Required

The name of the tier.

promptstring · min: 3 · max: 500 · nullableRequired

The prompt associated with the tier to be injected into the agent.

Responses
200

The tier was created.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
descriptionstring · min: 3 · max: 250Required

A description of the tier.

maxAssistantMessagesinteger · nullableRequired

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Required

The name of the tier.

promptstring · min: 3 · max: 500 · nullableRequired

The prompt associated with the tier to be injected into the agent.

workspaceIdstring · uuidRequired

The ID of the workspace this tier belongs to.

post
/api/v1/tiers
get

Retrieves a tier.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

Retrieves a tier.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
descriptionstring · min: 3 · max: 250Required

A description of the tier.

maxAssistantMessagesinteger · nullableRequired

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Required

The name of the tier.

promptstring · min: 3 · max: 500 · nullableRequired

The prompt associated with the tier to be injected into the agent.

workspaceIdstring · uuidRequired

The ID of the workspace this tier belongs to.

get
/api/v1/tiers/{id}
delete

Removes a tier.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Responses
200

The tier was removed.

application/json
messagestringRequired

An informative message for a call that has no effective result to be returned.

delete
/api/v1/tiers/{id}
patch

Updates a tier.

Path parameters
idstring · uuidRequired

A UUID v4 string that identifies an entity.

Header parameters
authorizationstringRequired

The API key to use for authentication. Can be created in the api keys section on the workspace settings page.

Body
descriptionstring · min: 3 · max: 250Optional

A description of the tier.

maxAssistantMessagesinteger · nullableOptional

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Optional

The name of the tier.

promptstring · min: 3 · max: 500 · nullableOptional

The prompt associated with the tier to be injected into the agent.

Responses
200

The tier was updated.

application/json
createdAtstring · date-timeRequired
idstring · uuidRequired

A UUID v4 string that identifies an entity.

updatedAtstring · date-timeRequired
descriptionstring · min: 3 · max: 250Required

A description of the tier.

maxAssistantMessagesinteger · nullableRequired

The maximum number of assistant messages allowed for this tier.

namestring · min: 3 · max: 50Required

The name of the tier.

promptstring · min: 3 · max: 500 · nullableRequired

The prompt associated with the tier to be injected into the agent.

workspaceIdstring · uuidRequired

The ID of the workspace this tier belongs to.

patch
/api/v1/tiers/{id}

Last updated